## org.apache.fop.fo.flow
Class ListItemBody

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.flow.ListItemBody

public class ListItemBody
extends FObj

Inner Class Summary
`static class` `ListItemBody.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`ListItemBody(FObj parent, PropertyList propertyList)`

Method Summary
`Status` `layout(Area area)` generates the area or areas for this formatting object and adds these to the area.
`static FObj.Maker` `maker()`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListItemBody

    public ListItemBody(FObj parent,
                        PropertyList propertyList)

Method Detail

### maker

    public static FObj.Maker maker()

### layout

    public Status layout(Area area)
                  throws FOPException

  Description copied from class: FObj
  generates the area or areas for this formatting object and adds these to the area. This method should always be overridden by all sub classes
  Overrides:
    layout in class FObj
  Tags copied from class: FObj
  Parameters:
    `area` -

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.